<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for floorplan in offplan package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  floorplan module in offplan package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Floorplan',
    'names' => 'Floorplans',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Floorplans',
        'sub' => 'Floorplans'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'project_id'                 => 'Please enter project id',
        'name'                       => 'Please enter name',
        'price'                      => 'Please enter price',
        'category_type'              => 'Please enter category type',
        'category'                   => 'Please enter category',
        'beds'                       => 'Please enter beds',
        'baths'                      => 'Please enter baths',
        'floorplan_type'             => 'Please enter floorplan type',
        'bua'                        => 'Please enter bua',
        'half_bath'                  => 'Please enter half bath',
        'exclusive'                  => 'Please enter exclusive',
        'photos'                     => 'Please enter photos',
        'created_by'                 => 'Please enter created by',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'project_id'                 => 'Project id',
        'name'                       => 'Name',
        'price'                      => 'Price',
        'category_type'              => 'Category type',
        'category'                   => 'Category',
        'beds'                       => 'Beds',
        'baths'                      => 'Baths',
        'floorplan_type'             => 'Floorplan type',
        'bua'                        => 'Bua',
        'half_bath'                  => 'Half bath',
        'exclusive'                  => 'Exclusive',
        'photos'                     => 'Photos',
        'created_by'                 => 'Created by',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
