<?php

namespace Bixo\Offplan\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Offplan\Models\Unit;

class UnitWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Unit $unit,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
