<?php

namespace Bixo\Offplan\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Bixo\Offplan\Models\Booking::class
                 => config('bixo.offplan.booking.actions')        \Bixo\Offplan\Models\Floorplan::class
                 => config('bixo.offplan.floorplan.actions')        \Bixo\Offplan\Models\Payment::class
                 => config('bixo.offplan.payment.actions')        \Bixo\Offplan\Models\Project::class
                 => config('bixo.offplan.project.actions')        \Bixo\Offplan\Models\Unit::class
                 => config('bixo.offplan.unit.actions')
            ];
    }

}
