<?php

namespace Bixo\Offplan\Actions;

use Illuminate\Http\Request;
use Bixo\Offplan\Models\Project;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class ProjectReport
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $report)
    {
        $this->model = app(Project::class);
        $function = Str::camel($report);
        return $this->$function();
    }
    
    public function sample(Request $request)
    {
        return $request;
    }

}
