<?php

namespace Bixo\Offplan\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\Offplan\Models\Booking::class 
                => config('bixo.offplan.booking.workflow')        \Bixo\Offplan\Models\Floorplan::class 
                => config('bixo.offplan.floorplan.workflow')        \Bixo\Offplan\Models\Payment::class 
                => config('bixo.offplan.payment.workflow')        \Bixo\Offplan\Models\Project::class 
                => config('bixo.offplan.project.workflow')        \Bixo\Offplan\Models\Unit::class 
                => config('bixo.offplan.unit.workflow')
            ];
    }

}
